| Kea 3.0.2-git

isc::class_cmds Namespace Reference

## Classes
class | ClassCmds
| Implements the logic for processing commands pertaining to client classes manipulation. More...
class | ClassCmdsImpl
| Implementation of the `ClassCmds` class. More...
class | DependOnKnownError
| Thrown upon an attempt to update a class when dependency on KNOWN or UNKNOWN built-in class is removed or added. More...
class | InUseError
| Thrown upon an attempt to delete a class which would result in leaving dangling dependencies. More...

## Variables
isc::log::Logger | class_cmds_logger ("class-cmds-hooks")

## Variable Documentation

## ◆ class_cmds_logger

isc::log::Logger isc::class_cmds::class_cmds_logger | ( | "class-cmds-hooks" |  | ) |

Definition at line 17 of file class_cmds_log.h.

Referenced by isc::class_cmds::ClassCmdsImpl::addClass(), class_add(), class_del(), class_get(), class_list(), class_update(), isc::class_cmds::ClassCmdsImpl::delClass(), isc::class_cmds::ClassCmdsImpl::getClass(), isc::class_cmds::ClassCmdsImpl::getClassList(), load(), unload(), and isc::class_cmds::ClassCmdsImpl::updateClass().